Subject: Re: Re: [PATCH] ena: Speed up initialization 90x by reducing poll delays

From: Josh Triplett <[email-masked]>
Date: Sun, 12 Apr 2020 13:27:14 -0700

On Sun, Apr 12, 2020 at 09:37:22AM +0000, Jubran, Samih wrote:
> I wanted to let you know that we are still looking into your patch. 
> After some careful considerations we have decided to set the value of 
> ENA_POLL_US to 100us. The rationale behind this choice is that the 
> device might take up to 1ms to complete the reset operation and we 
> don't want to bombard device. We do agree with most of your patch 
> and we will be sending one based on it for review.

Thank you, that sounds entirely reasonable.

Please also consider making the probing asynchronous (via linux/async.h)
to allow other initialization to happen in parallel.